Support » Plugin: Weaver Show Posts » Trailing white space in PHP files causes Wp 5.3 Warnings

  • After updating to 5.3 I’m suddenly seeing lots of PHP warnings like this:

    [20-Nov-2019 12:07:45] WARNING: [pool meischner.world] child 26697 said into stderr: "NOTICE: PHP message: PHP Warning: 
     Cannot modify header information - headers already sent in /var/www/vhosts/meischner.world/httpdocs/wp-content/plugins/
    comet-cache/src/includes/traits/Shared/HttpUtils.php on line 175"

    After deactivating all plugins except Comet Cache the problem is gone – sequentially reactivating identified 9 (!) Plugins which cause this, on just one WP site. Show Posts (a great plugin, I use it on quite a few sites) was also a “culprit”. I checked it – ALL the PHP files have trailing white space after the ?>. I removed them and uploaded manually – the problem is solved (at least, for “Show Posts”).

    @bruce: I know this is an “older” plugin and for sure it’s not making you rich – but it is a great plugin, and I and many others are relying on it. It’s still working fine in WP 5.3 – so could you please delete all the ?>, bump up compat to 5.3 and publish the new version? Would be very much obliged!

    Thanks, Tim

  • The topic ‘Trailing white space in PHP files causes Wp 5.3 Warnings’ is closed to new replies.